## wolf4sdl 1.7%2Bsvn262%2Bdfsg1

=== debian/changelog ===
wolf4sdl (1.7+svn262+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Only remove the alternative for /usr/games/wolf4sdl if it exists.
    This fixes the following sequence: install wolf4sdl in jessie,
    remove (but do not purge) wolf4sdl, upgrade from jessie to stretch,
    and install wolf4sdl again. (Closes: #856722)

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Mar 2017 17:25:10 +0000

wolf4sdl (1.7+svn262+dfsg1-3) unstable; urgency=low

  * Enable parallel builds (Closes: #724522).
  * Correctly disable silent builds.
  * Turn shading support into a command line option "--shading".
  * Show messages whenever autorun or autostrafe is toggled.
  * Remove engine selection by means of alternatives (Closes: #775406).
    Instead, provide a wrapper script that automatically runs the
    engine that fits to the data files found in '/usr/share/games/wolf3d'.
    Adjust documentation accordingly.
  * Add "Wolf3d Full v1.1 Apogee (with ReadThis)" (wolf4sdl-wl6a1)
    as another supported variant of the game.
  * Bump Standards-Version to 3.9.6.
  * Add Keywords to wolf4sdl.desktop.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 05 May 2015 09:18:48 +0200

wolf4sdl (1.7+svn262+dfsg1-2) unstable; urgency=low

  [ Jon Dowland ]
  * remove myself from uploaders

  [ Fabian Greffrath ]
  * Fix typo in README.Debian.
  * Bump debhelper compatibility to v9.
  * Add TODO to README.source.
  * Add CPPFLAGS to CFLAGS.
  * Apply a series of patches to improve mouse control:
    + Suppress vertical mouse movement when the "--novert" parameter is given.
    + Show a crosshair when the "--crosshair" parameter is given.
    + Change weapons with the mouse wheel.
    + Toggle autorun when both Shift keys are pressed.
    + Toggle autostrafe for the keyboard when both Alt keys are pressed.
      By the way, accept the German AltGr key as a right Alt key.
  * Adjust manpage accordingly.
  * Replace potentially non-free wolf4sdl.xpm with a self-drawn alternative
    and add a reproduction rule to debian/rules (Closes: #718287).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 05 Sep 2013 17:02:12 +0200

wolf4sdl (1.7+svn262+dfsg1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Imported Upstream version 1.7+svn262+dfsg1
  * Add debian/README.source and document the removal of the
    MAME OPL2 emulator sources.
  * Update debian/copyright with the copyright information of the
    GPL'ed OPL2/3 emulator from DOSBox.
  * Change section to contrib/games (the required data files are
    still non-free) from non-free/games. :)
  * Build with GPL=1.
  * Refresh all patches.
  * Remove debian/patches/32-mingw.patch, applied upstream.
  * Remove another compiler warning in 21-compiler-warnings.patch.

  [ Jon Dowland ]
  * Bump standards version.
  * Tweak watch file to exclude '+dfsg1' from versions.

 -- Jon Dowland <jmtd@debian.org>  Mon, 28 Nov 2011 13:32:28 +0000

wolf4sdl (1.7-2) unstable; urgency=low

  * Eliminate the last remaining compiler warning.
  * Build less verbosely again, it only adds to confusion.
  * Change license of the original cource code to GPL-2.0+ as confirmed
    via e-mail by John Carmack himself. Still non-free, though, because
    the Mame Software License does not allow commercial use.
  * Clarify relation to game-data-packager and its generated packages
    in debian/control.
  * Export CFLAGS LDFLAGS for them to take effect as per dpkg (>= 1.16.1).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 05 Oct 2011 15:31:57 +0200

wolf4sdl (1.7-1) unstable; urgency=low

  * Imported Upstream version 1.7
  * Fix debian/watch file
  * Remove wl_shade.{d,o} in the clean rule
  * Replace wolf4sdl.xpm with the Windows icon from upstream SVN

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 28 Jun 2011 14:22:03 +0200

wolf4sdl (1.7~svn255-0fab2) unstable; urgency=low

  [ Jon Dowland ]
  * add myself to uploaders
  * Recommend: game-data-packager (which can build wolf3d-data);
    Suggests: wolf3d-data
  * Update download URL in copyright file

  [ Fabian Greffrath ]
  * Add "-fno-toplevel-reorder" to the CFLAGS to ensure save game
    compatibility between different builds. Thanks to Hans de Goede
    <j.w.r.degoede@gmail.com> for pointing this out!
  * Update 21-compiler-warnings.patch with new warnings from g++-4.6.
  * Clean up debian/rules.
  * Build more verbosely.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 03 May 2011 01:22:02 +0200

wolf4sdl (1.7~svn255-0fab1) unstable; urgency=low

  [ Jon Dowland ]
  * spelling correction
  * line-wrap changelog

  [ Fabian Greffrath ]
  * New upstream SVN snapshot
    (revision 255 of <svn://tron.homeunix.org:3690/wolf3d/trunk>).
  * Refresh all patches.
  * Drop 11-configdir.patch, implemented differently upstream.
  * Drop 22-compile-fixes.patch, first chunk applied upstream,
    second chunk unnecessary since dropping 11-configdir.patch.
  * 31-pc-speaker.patch: New patch to enable PC speaker emulation,
    adapt 21-compiler-warnings.patch accordingly.
  * 32-mingw.patch: New patch to fix portability issues on MinGW.
  * Add .gitignore, debian/gbp.conf and debian/source/local-options
    helper files.
  * Fix 21-compiler-warnings.patch to silence the compiler again.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 19 Apr 2011 00:08:44 +0200

wolf4sdl (1.6-2) experimental; urgency=low

  * Non-maintainer upload.
  * bump version to satisfy dak

 -- Jon Dowland <jmtd@debian.org>  Thu, 24 Mar 2011 15:35:12 +0000

wolf4sdl (1.6-1) experimental; urgency=low

  * Initial release (Closes: #615056).
  * Target at experimental until game-data-packager is able to
    create appropriate data packages.
  * Set Maintainer to Debian Games Team and add myself to Uploaders.
  * Fix upstream Homepage.
  * Add Vcs-* fields.
  * Play safe and run "make clean" between the builds.
  * Fix debian/watch file.
  * Document the missing game data files in both debian/control and
    README.Debian.



## wolf4sdl 1.7+svn262+dfsg1

=== Makefile ===
CONFIG ?= config.default
-include $(CONFIG)


BINARY    ?= wolf3d
PREFIX    ?= /usr/local
MANPREFIX ?= $(PREFIX)

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 555 -s
INSTALL_MAN     ?= $(INSTALL) -m 444
INSTALL_DATA    ?= $(INSTALL) -m 444


SDL_CONFIG  ?= sdl-config
CFLAGS_SDL  ?= $(shell $(SDL_CONFIG) --cflags)
LDFLAGS_SDL ?= $(shell $(SDL_CONFIG) --libs)


CFLAGS += $(CFLAGS_SDL)

#CFLAGS += -Wall
#CFLAGS += -W
CFLAGS += -Wpointer-arith
CFLAGS += -Wreturn-type
CFLAGS += -Wwrite-strings
CFLAGS += -Wcast-align

ifdef GPL
    CFLAGS += -DUSE_GPL
endif


CCFLAGS += $(CFLAGS)
CCFLAGS += -std=gnu99
CCFLAGS += -Werror-implicit-function-declaration
CCFLAGS += -Wimplicit-int
CCFLAGS += -Wsequence-point

CXXFLAGS += $(CFLAGS)

LDFLAGS += $(LDFLAGS_SDL)
LDFLAGS += -lSDL_mixer
ifneq (,$(findstring MINGW,$(shell uname -s)))
LDFLAGS += -static-libgcc
endif

SRCS :=
ifndef GPL
    SRCS += mame/fmopl.cpp
else
    SRCS += dosbox/dbopl.cpp
endif
SRCS += id_ca.cpp
SRCS += id_in.cpp
SRCS += id_pm.cpp
SRCS += id_sd.cpp
SRCS += id_us_1.cpp
SRCS += id_vh.cpp
SRCS += id_vl.cpp
SRCS += signon.cpp
SRCS += wl_act1.cpp
SRCS += wl_act2.cpp
SRCS += wl_agent.cpp
SRCS += wl_atmos.cpp
SRCS += wl_cloudsky.cpp
SRCS += wl_debug.cpp
SRCS += wl_draw.cpp
SRCS += wl_floorceiling.cpp
SRCS += wl_game.cpp
SRCS += wl_inter.cpp
SRCS += wl_main.cpp
SRCS += wl_menu.cpp
SRCS += wl_parallax.cpp
SRCS += wl_play.cpp
SRCS += wl_state.cpp
SRCS += wl_text.cpp

DEPS = $(filter %.d, $(SRCS:.c=.d) $(SRCS:.cpp=.d))
OBJS = $(filter %.o, $(SRCS:.c=.o) $(SRCS:.cpp=.o))

.SUFFIXES:
.SUFFIXES: .c .cpp .d .o

Q ?= @

all: $(BINARY)

ifndef NO_DEPS
depend: $(DEPS)

ifeq ($(findstring $(MAKECMDGOALS), clean depend Data),)
-include $(DEPS)
endif
endif

$(BINARY): $(OBJS)
	@echo '===> LD $@'
	$(Q)$(CXX) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $@

.c.o:
	@echo '===> CC $<'
	$(Q)$(CC) $(CCFLAGS) -c $< -o $@

.cpp.o:
	@echo '===> CXX $<'
	$(Q)$(CXX) $(CXXFLAGS) -c $< -o $@

.c.d:
	@echo '===> DEP $<'
	$(Q)$(CC) $(CCFLAGS) -MM $< | sed 's#^$(@F:%.d=%.o):#$@ $(@:%.d=%.o):#' > $@

.cpp.d:
	@echo '===> DEP $<'
	$(Q)$(CXX) $(CXXFLAGS) -MM $< | sed 's#^$(@F:%.d=%.o):#$@ $(@:%.d=%.o):#' > $@

clean distclean:
	@echo '===> CLEAN'
	$(Q)rm -fr $(DEPS) $(OBJS) $(BINARY) $(BINARY).exe

install: $(BINARY)
	@echo '===> INSTALL'
	$(Q)$(INSTALL) -d $(PREFIX)/bin
	$(Q)$(INSTALL_PROGRAM) $(BINARY) $(PREFIX)/bin

=== GP2X/fmopl_940/Makefile ===

CROSS_COMPILE = /mythtv/media/devel/toolchains/open2x/gcc-4.1.1-glibc-2.3.6/bin/arm-open2x-linux-
LDFLAGS = -static

CXX = $(CROSS_COMPILE)gcc
CPP = $(CROSS_COMPILE)g++
LD = $(CROSS_COMPILE)ld
STRIP = $(CROSS_COMPILE)strip

CXXFLAGS = -I/opt/open2x/gcc-4.1.1-glibc-2.3.6/include -Wall -Werror -Os -fomit-frame-pointer
LIBS = -L/opt/open2x/gcc-4.1.1-glibc-2.3.6/lib

CODE940_TARGET = code940.gpe
CODE940_OBJS = main.o fmopl_core.o

all : $(CODE940_TARGET)

$(CODE940_TARGET) : $(CODE940_OBJS)
	$(LD) -marmelf -e code940 -Ttext 0x0 $(CODE940_OBJS)  -o $(CODE940_TARGET)
	$(CROSS_COMPILE)objcopy -O binary code940.gpe code940.bin
	ls -l code940.bin

main.o: main.c
	$(CXX) $(CXXFLAGS) -O0 -c main.c

fmopl_core.o: fmopl_core.c fmopl_core.h fmopl_shared.h memory_layout.h
	$(CPP) $(CXXFLAGS) -Os -c fmopl_core.c

=== debian/control ===
Source: wolf4sdl
Section: contrib/games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends: debhelper (>= 9),
 libsdl1.2-dev,
 libsdl-mixer1.2-dev
Standards-Version: 3.9.2
Homepage: http://www.chaos-software.de.vu/
Vcs-Git: git://anonscm.debian.org/pkg-games/wolf4sdl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/wolf4sdl.git;a=summary

Package: wolf4sdl
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 wolf3d-data | game-data-packager (>= 27)
Description: SDL-Port of Wolfenstein 3-D and Spear of Destiny
 Maybe it was the fact that people got to blow away Nazis. Maybe it was the
 sheer challenge of it all. For whatever reason, Wolfenstein 3-D and Spear of
 Destiny, pioneered the first-person shooter genre and brought its legendary
 creators, id Software, worldwide notoriety and numerous awards. In fact, The
 Computer Gaming World Hall of Fame recognized Wolfenstein 3D as helping to
 shape the overall direction of the computer gaming industry.
 .
 Wolf4SDL is an open-source port of id Software's classic first-person shooter
 Wolfenstein 3-D to the cross-platform multimedia library "Simple DirectMedia
 Layer (SDL)" (http://www.libsdl.org). It is meant to keep the original feel
 while taking advantage of some improvements.
 .
 The wolf4sdl game requires additional data files which are not available
 under a free license and cannot be distributed by Debian. Thus, this package
 contains no data files, but current releases of `game-data-packager' are
 able to generate suitable data packages from the publicly available
 Wolfenstein 3-D shareware episode.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CFLAGS_MAINT_APPEND  += $(shell dpkg-buildflags --get CPPFLAGS)
DEB_CFLAGS_MAINT_APPEND  += -Wall -Wno-sign-compare -Wno-switch
DEB_CFLAGS_MAINT_APPEND  += -DDATADIR=\"/usr/share/games/wolf3d/\"
DEB_CFLAGS_MAINT_APPEND  += -fno-toplevel-reorder
DEB_LDFLAGS_MAINT_APPEND += -Wl,-z,defs -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND DEB_LDFLAGS_MAINT_APPEND

export GPL=1 Q=""

define set_defines
	@$(foreach def, $(1), \
		if   [ "$(shell echo $(def) | cut -c1)" = "-" ]; then \
			sed -e "s|^\(//\)\?\(#define $(shell echo $(def) | cut -c2-)\)|//\2|" -i version.h; \
		elif [ "$(shell echo $(def) | cut -c1)" = "+" ]; then \
			sed -e "s|^\(//\)\?\(#define $(shell echo $(def) | cut -c2-)\)|\2|"   -i version.h; \
		fi; \
	)
endef

debian/wolf4sdl.xpm: debian/wolf4sdl.png
	convert $^ $@

debian/wolf4sdl.png: debian/wolf4sdl.svg
	inkscape --export-png=$@ $^

%:
	dh $@

override_dh_auto_build:
	# Wolf3d Full v1.4 GT/ID/Activision
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD +GOODTIMES +CARMACIZED)
	dh_auto_build -- BINARY=wolf4sdl-wl6

	# Wolf3d Full v1.4 Apogee (with ReadThis)
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD -GOODTIMES +CARMACIZED)
	dh_auto_build -- BINARY=wolf4sdl-wl6a

	# Wolf3d Shareware v1.4
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO +UPLOAD -GOODTIMES +CARMACIZED)
	dh_auto_build -- BINARY=wolf4sdl-wl1

	# Spear of Destiny Full and Mission Disks (and GOODTIMES for no FormGen quiz)
	$(MAKE) clean
	$(call set_defines,+SPEAR -SPEARDEMO -UPLOAD +GOODTIMES +CARMACIZED)
	dh_auto_build -- BINARY=wolf4sdl-sod

	# Spear of Destiny Demo
	$(MAKE) clean
	$(call set_defines,+SPEAR +SPEARDEMO -UPLOAD -GOODTIMES +CARMACIZED)
	dh_auto_build -- BINARY=wolf4sdl-sdm

override_dh_auto_clean:
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD +GOODTIMES +CARMACIZED)
	dh_auto_clean

override_dh_auto_install:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1// \
http://www.alice-dsl.net/mkroll/downloads.html \
bins/Wolf4SDL-([\d\.]*)-src\.zip

## wolf4sdl 20230117

=== Makefile ===
--- 
+++ 
@@ -12,23 +12,19 @@
 INSTALL_DATA    ?= $(INSTALL) -m 444
 
 
-SDL_CONFIG  ?= sdl-config
+SDL_CONFIG  ?= pkg-config sdl2 SDL2_mixer
 CFLAGS_SDL  ?= $(shell $(SDL_CONFIG) --cflags)
 LDFLAGS_SDL ?= $(shell $(SDL_CONFIG) --libs)
 
 
 CFLAGS += $(CFLAGS_SDL)
 
-#CFLAGS += -Wall
+CFLAGS += -Wall
 #CFLAGS += -W
 CFLAGS += -Wpointer-arith
 CFLAGS += -Wreturn-type
 CFLAGS += -Wwrite-strings
 CFLAGS += -Wcast-align
-
-ifdef GPL
-    CFLAGS += -DUSE_GPL
-endif
 
 
 CCFLAGS += $(CFLAGS)
@@ -40,17 +36,12 @@
 CXXFLAGS += $(CFLAGS)
 
 LDFLAGS += $(LDFLAGS_SDL)
-LDFLAGS += -lSDL_mixer
 ifneq (,$(findstring MINGW,$(shell uname -s)))
 LDFLAGS += -static-libgcc
 endif
 
 SRCS :=
-ifndef GPL
-    SRCS += mame/fmopl.cpp
-else
-    SRCS += dosbox/dbopl.cpp
-endif
+SRCS += dosbox/dbopl.cpp
 SRCS += id_ca.cpp
 SRCS += id_in.cpp
 SRCS += id_pm.cpp
@@ -75,6 +66,7 @@
 SRCS += wl_play.cpp
 SRCS += wl_state.cpp
 SRCS += wl_text.cpp
+SRCS += states.cpp
 
 DEPS = $(filter %.d, $(SRCS:.c=.d) $(SRCS:.cpp=.d))
 OBJS = $(filter %.o, $(SRCS:.c=.o) $(SRCS:.cpp=.o))

=== debian/changelog ===
wolf4sdl (20230117-1) unstable; urgency=medium

  * Update debian/watch file.
  * Switch to my own, still unnamed, SDL2-based fork
    (Fixes: #1038493).
  * New upstream version 20230117.
  * Remove debian/gbp.conf file.
  * Patches:
    + Refresh 02-enable-shading.patch and 10-datadir.patch.
    + Remove 21-compiler-warnings.patch and 31-pc-speaker.patch,
      applied upstream.
    + Remove 40-novert.patch, set vertical mouse sensitivity
      to 0 instead.
    + Remove 41-crosshair.patch, not needed anymore.
    + Remove 42-mousewheel.patch, applied upstream.
    + Remove 43-autorun.patch, there is now a menu switch
      for Always Run.
    + Remove 44-autostrafe.patch, there are now separate
      key bindings for strafe left/right.
  * Bump debhelper-compat to 13.
  * Bump Build-Depends to SDL2 libraries.
  * Rules-Requires-Root: no.
  * Update Debian packaging copyright and email address.
  * Update man/wolf4sdl.6 manpage.
  * Remove debian/source/local-options file.
  * Remove the PNG format icon, we have one in SVG format.
  * Remove -fno-toplevel-reorder from CFLAGS
    and -Wl,--as-needed from LDFLAGS, not needed anymore.
    + Do not export GPL=1, not needed anymore.
  * Enable hardening flags.
  * Remove debian/wolf4sdl.preinst, the transition it handles has even
    already happened in old-old-stable.
  * Bump Standards-Version to 4.6.2.
  * Run 'wrap-and-sort -bast'.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 30 Jun 2023 09:36:33 +0200

wolf4sdl (1.7+svn262+dfsg1-5) unstable; urgency=medium

  * Team upload
  * Set Priority to optional
  * Update Vcs-* for move to salsa.debian.org
  * Remove traditional Debian menu file (Policy §9.6)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 10:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: wolf4sdl
 Section: contrib/games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 9),
- libsdl1.2-dev,
- libsdl-mixer1.2-dev
-Standards-Version: 3.9.2
-Homepage: http://www.chaos-software.de.vu/
-Vcs-Git: git://anonscm.debian.org/pkg-games/wolf4sdl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/wolf4sdl.git;a=summary
+Uploaders:
+ Fabian Greffrath <fabian@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libsdl2-dev,
+ libsdl2-mixer-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/fabiangreffrath/wolf4sdl
+Vcs-Git: https://salsa.debian.org/games-team/wolf4sdl.git
+Vcs-Browser: https://salsa.debian.org/games-team/wolf4sdl
 
 Package: wolf4sdl
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  ${misc:Depends},
- wolf3d-data | game-data-packager (>= 27)
+ ${shlibs:Depends},
+Recommends:
+ game-data-packager,
 Description: SDL-Port of Wolfenstein 3-D and Spear of Destiny
  Maybe it was the fact that people got to blow away Nazis. Maybe it was the
  sheer challenge of it all. For whatever reason, Wolfenstein 3-D and Spear of

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CFLAGS_MAINT_APPEND  += $(shell dpkg-buildflags --get CPPFLAGS)
DEB_CFLAGS_MAINT_APPEND  += -Wall -Wno-sign-compare -Wno-switch
DEB_CFLAGS_MAINT_APPEND  += -DDATADIR=\"/usr/share/games/wolf3d/\"
export DEB_CFLAGS_MAINT_APPEND

export Q=

define set_defines
	@$(foreach def, $(1), \
		if   [ "$(shell echo $(def) | cut -c1)" = "-" ]; then \
			sed -e "s|^\(//\)\?\(#define $(shell echo $(def) | cut -c2-)\)|//\2|" -i version.h; \
		elif [ "$(shell echo $(def) | cut -c1)" = "+" ]; then \
			sed -e "s|^\(//\)\?\(#define $(shell echo $(def) | cut -c2-)\)|\2|"   -i version.h; \
		fi; \
	)
endef

%:
	dh $@

override_dh_auto_build:
	# Wolf3d Full v1.4 GT/ID/Activision
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD +GOODTIMES +CARMACIZED -APOGEE_1_1)
	dh_auto_build -O--parallel -- BINARY=wolf4sdl-wl6

	# Wolf3d Full v1.4 Apogee (with ReadThis)
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD -GOODTIMES +CARMACIZED -APOGEE_1_1)
	dh_auto_build -O--parallel -- BINARY=wolf4sdl-wl6a

	# Wolf3d Full v1.1 Apogee (with ReadThis)
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD -GOODTIMES +CARMACIZED +APOGEE_1_1)
	dh_auto_build -O--parallel -- BINARY=wolf4sdl-wl6a1

	# Wolf3d Shareware v1.4
	$(MAKE) clean
	$(call set_defines,-SPEAR -SPEARDEMO +UPLOAD -GOODTIMES +CARMACIZED -APOGEE_1_1)
	dh_auto_build -O--parallel -- BINARY=wolf4sdl-wl1

	# Spear of Destiny Full and Mission Disks (and GOODTIMES for no FormGen quiz)
	$(MAKE) clean
	$(call set_defines,+SPEAR -SPEARDEMO -UPLOAD +GOODTIMES +CARMACIZED -APOGEE_1_1)
	dh_auto_build -O--parallel -- BINARY=wolf4sdl-sod

	# Spear of Destiny Demo
	$(MAKE) clean
	$(call set_defines,+SPEAR +SPEARDEMO -UPLOAD -GOODTIMES +CARMACIZED -APOGEE_1_1)
	dh_auto_build -O--parallel -- BINARY=wolf4sdl-sdm

override_dh_auto_clean:
	$(call set_defines,-SPEAR -SPEARDEMO -UPLOAD +GOODTIMES +CARMACIZED -APOGEE_1_1)
	dh_auto_clean

override_dh_auto_install:

=== debian/watch ===
version=4
https://github.com/fabiangreffrath/@PACKAGE@/tags \
https://github.com/fabiangreffrath/@PACKAGE@/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## wolf4sdl 20251124

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 endif
 
 SRCS :=
-SRCS += dosbox/dbopl.cpp
+SRCS += opl3.c
 SRCS += id_ca.cpp
 SRCS += id_in.cpp
 SRCS += id_pm.cpp

=== debian/changelog ===
wolf4sdl (20251124-1) unstable; urgency=medium

  [ Wakko Warner ]
  * wolf4sdl script uses return when it should use exit
    (Closes: #1100359)

  [ Fabian Greffrath ]
  * Update debian/watch to version 5
  * New upstream version 20251124
  * Refresh all patches
  * Update debian/copyright
  * Bump Standards-Version to 4.7.2
  * Remove redundant RRR: no

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Nov 2025 15:20:38 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  debhelper-compat (= 13),
  libsdl2-dev,
  libsdl2-mixer-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/fabiangreffrath/wolf4sdl
 Vcs-Git: https://salsa.debian.org/games-team/wolf4sdl.git
 Vcs-Browser: https://salsa.debian.org/games-team/wolf4sdl

=== debian/watch ===
Version: 5
Template: GitHub
Owner: fabiangreffrath
Project: wolf4sdl
